#include "HX711.h"    //称重传感器库
#include "U8glib.h"
#include "oled.h"
#include <I2Cdev.h>
#include <Wire.h>
#include <Rtc_Pcf8563.h>
#include <SoftwareSerial.h>
//defination===============================================

SoftwareSerial mySerial(2, 3); //RX,TX
Rtc_Pcf8563 rtc;//初始化实时时钟
float cur_weight_pre = 0.0;
float weight_drink = 0.0, weight_water = 0.0, cur_weight = 0.0;
float weight_buffer = 0.0;
int not_drink = 0.0;
int not_drink_temp = 0.0;
int drink_time[3], drink_time_pre[3] = {0, 0, 0}; //hour/min/sec
int cnt, i = 0;
int pos;
String _hour, _min, _sec;
unsigned long timer;
String timedata = "";
//=========================================================
void setup() {
  Init_Hx711();
  Serial.begin(9600);
  mySerial.begin(9600);

  rtc.initClock();
  Get_Maopi();      //获取空杯重量   称重结果kg
  Wire.begin();
  Serial.println("Input Time:");
  rtc.setTime(0, 0, 0);
}
//=========================================================
void loop() {
  ble();
  cur_weight = Get_Weight();

  if (cur_weight > 0.02)
  {
    if (cur_weight > weight_buffer)
    {
      weight_buffer = cur_weight;
      timer = millis() + 2000;
    } else if (millis() > timer)
    {
      if (cur_weight > weight_water)  //加水
      {
        weight_water = cur_weight;
      }
      else if (cur_weight < weight_water)  //喝水
      {
        weight_drink += weight_water - cur_weight;
        weight_water = cur_weight;
        not_drink_temp = 0;
      }
    }
  }
  else
  {
    weight_buffer = 0;
  }

  pos = map(int(cur_weight), 0, 2500, 0, 24);
  u8g.firstPage();
  do {
    draw(int(cur_weight), pos);       //显示重量
  }
  while ( u8g.nextPage() );
}

void ble()
{
  mySerial.print("{V:");
  mySerial.print(weight_water);
  mySerial.println("}");
  delay(1);
}

